# 

import AXMLDocument
from ZClasses import createZClassForBase
 
createZClassForBase(AXMLDocument.AXMLDocument, globals(), 
  'ZAXMLDocument', 'AXML Document')

def initialize(context):
	"Initialize the AXMLDocument product"
	context.registerClass(
		AXMLDocument.AXMLDocument,
		permission='Add AXMLDocuments',
		constructors=(
			AXMLDocument.addAXMLDocumentForm,
			AXMLDocument.addAXMLDocument,
		),
		icon="www/icon.gif"
	)


def PUT_factory( self, name, typ, body ):
	from OFS.Image import Image, File
	from OFS.DTMLDocument import DTMLDocument

	if typ == 'text/xml':
		ob = AXMLDocument.AXMLDocument('', __name__=name)
	elif typ[:6] == 'image/':
		ob = Image(name, '', body, content_type=typ)
	else:
		ob = File(name, '', body, content_type=typ)
	return ob

import webdav.NullResource
webdav.NullResource.NullResource._default_PUT_factory = PUT_factory

