# 

import testDocument
from ZClasses import createZClassForBase
 
createZClassForBase(testDocument.testDocument, globals(), 
  'ZtestDocument', 'test Document')

def initialize(context):
	"Initialize the testDocument product"
	context.registerClass(
		testDocument.testDocument,
		permission='Add testDocuments',
		constructors=(
			testDocument.addtestDocumentForm,
			testDocument.addtestDocument,
		),
		icon="www/icon.gif"
	)


def PUT_factory( self, name, typ, body ):
	from OFS.Image import Image, File
	from OFS.DTMLDocument import DTMLDocument

	if typ == 'text/xml':
		ob = testDocument.testDocument('', __name__=name)
	elif typ[:6] == 'image/':
		ob = Image(name, '', body, content_type=typ)
	else:
		ob = File(name, '', body, content_type=typ)
	return ob

import webdav.NullResource
webdav.NullResource.NullResource._default_PUT_factory = PUT_factory

